Introduction IBM Cloud Direct Link Connect is a multi-tenant service that allows customers to connect their on-premises networks to their IBM Cloud private networks. This "Provider API" allows partners to create and manage Direct Link Connect gateways in customer' IBM Cloud accounts, providing a seamless, integrated experience. This API supports Direct Link Connect gateways that can be connected to the Virtual Private Cloud VPC infrastructure as well as the "Classic" SoftLayer infrastructure supported by the existing Direct Link on Classic API. Direct Link can also connect to IBM Cloud transit gateways. The code examples on this tab use the client library that is provided for Go. Installation bash go get -u github.com/IBM/networking-go-sdk https://github.com/IBM/networking-go-sdkhttps://github.com/IBM/networking-go-sdk The code examples on this tab use the client library that is provided for Java. Maven xml Method Path Summary GET /gateways List gateways POST /gateways Create gateway DELETE /gateways/{id} Delete gateway GET /gateways/{id} Get gateway PATCH /gateways/{id} Update gateway GET /ports List ports GET /ports/{id} Get port